STENCILPASS(3CgFX)

NAME
StencilPass - 3D API stencil pass

USAGE
StencilPass = int(dppass)

VALID ENUMERANTS
dppass: integer value

DESCRIPTION
Specify action to take when both the stencil and depth tests pass. See the dppass parameter description on the OpenGL glStencilOp manual page for details. See the D3DRS_STENCILPASS render state description for DirectX 9.

The standard reset callback sets the StencilPass state to int(GL_KEEP).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode